org.apache.http.client.params

## Interface AllClientPNames

- All Superinterfaces:
    AuthPNames, ClientPNames, ConnConnectionPNames, ConnManagerPNames, ConnRoutePNames, CookieSpecPNames, org.apache.http.params.CoreConnectionPNames, org.apache.http.params.CoreProtocolPNames

  Deprecated.
  (4.3) use `RequestConfig`, `ConnectionConfig`, `SocketConfig`

      @Deprecated
      public interface AllClientPNames
      extends org.apache.http.params.CoreConnectionPNames, org.apache.http.params.CoreProtocolPNames, ClientPNames, AuthPNames, CookieSpecPNames, ConnConnectionPNames, ConnManagerPNames, ConnRoutePNames

  Collected parameter names for the HttpClient module. This interface combines the parameter definitions of the HttpClient module and all dependency modules or informational units. It does not define additional parameter names, but references other interfaces defining parameter names.

  This interface is meant as a navigation aid for developers. When referring to parameter names, you should use the interfaces in which the respective constants are actually defined.

  Since:
    4.0

- - ### Field Summary

    - ### Fields inherited from interface org.apache.http.params.CoreConnectionPNames

      `CONNECTION_TIMEOUT, MAX_HEADER_COUNT, MAX_LINE_LENGTH, MIN_CHUNK_LIMIT, SO_KEEPALIVE, SO_LINGER, SO_REUSEADDR, SO_TIMEOUT, SOCKET_BUFFER_SIZE, STALE_CONNECTION_CHECK, TCP_NODELAY`

    - ### Fields inherited from interface org.apache.http.params.CoreProtocolPNames

      `HTTP_CONTENT_CHARSET, HTTP_ELEMENT_CHARSET, HTTP_MALFORMED_INPUT_ACTION, HTTP_UNMAPPABLE_INPUT_ACTION, ORIGIN_SERVER, PROTOCOL_VERSION, STRICT_TRANSFER_ENCODING, USE_EXPECT_CONTINUE, USER_AGENT, WAIT_FOR_CONTINUE`

    - ### Fields inherited from interface org.apache.http.client.params.ClientPNames

      `ALLOW_CIRCULAR_REDIRECTS, CONN_MANAGER_TIMEOUT, CONNECTION_MANAGER_FACTORY_CLASS_NAME, COOKIE_POLICY, DEFAULT_HEADERS, DEFAULT_HOST, HANDLE_AUTHENTICATION, HANDLE_REDIRECTS, MAX_REDIRECTS, REJECT_RELATIVE_REDIRECT, VIRTUAL_HOST`

    - ### Fields inherited from interface org.apache.http.auth.params.AuthPNames

      `CREDENTIAL_CHARSET, PROXY_AUTH_PREF, TARGET_AUTH_PREF`

    - ### Fields inherited from interface org.apache.http.cookie.params.CookieSpecPNames

      `DATE_PATTERNS, SINGLE_COOKIE_HEADER`

    - ### Fields inherited from interface org.apache.http.conn.params.ConnConnectionPNames

      `MAX_STATUS_LINE_GARBAGE`

    - ### Fields inherited from interface org.apache.http.conn.params.ConnManagerPNames

      `MAX_CONNECTIONS_PER_ROUTE, MAX_TOTAL_CONNECTIONS, TIMEOUT`

    - ### Fields inherited from interface org.apache.http.conn.params.ConnRoutePNames

      `DEFAULT_PROXY, FORCED_ROUTE, LOCAL_ADDRESS`

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.